SD_JOURNAL_HAS_RUNTIME_FILES(3)

NAME
sd_journal_has_runtime_files, sd_journal_has_persistent_files - Query availability of runtime or persistent journal files

SYNOPSIS

#include <systemd/sd-journal.h>

int sd_journal_has_runtime_files(sd_journal *j);

int sd_journal_has_persistent_files(sd_journal *j);

DESCRIPTION

sd_journal_has_runtime_files() returns a positive value if runtime journal files (present in /run/systemd/journal/) have been found. Otherwise returns 0.

sd_journal_has_persistent_files() returns a positive value if persistent journal files (present in /var/log/journal/) have been found. Otherwise returns 0.

RETURN VALUE

Both sd_journal_has_runtime_files() and sd_journal_has_persistent_files() return -EINVAL if their argument is NULL.

NOTES

All functions listed here are thread-agnostic and only a single specific thread may operate on a given object during its entire lifetime. It's safe to allocate multiple independent objects and use each from a specific thread in parallel. However, it's not safe to allocate such an object in one thread, and operate or free it from any other, even if locking is used to ensure these threads don't operate on it at the very same time.

Functions described here are available as a shared library, which can be compiled against and linked to with the libsystemd pkg-config(1) file.

HISTORY

sd_journal_has_runtime_files() and sd_journal_has_persistent_files() were added in version 229.

SEE ALSO

systemd(1), sd-journal(3)